Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 506406 - portage-2.2.10 - /usr/lib64/portage/pym/portage/dep/dep_check.py", line 207, in _expand_new_virtuals -/ /- portdb.aux_get(matches[-1], ['PROVIDE'])[0].split(): AttributeError: 'PackageTrackerDbapiWrapper' object has no attribute 'aux_get'
Summary: portage-2.2.10 - /usr/lib64/portage/pym/portage/dep/dep_check.py", line 207, ...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: AMD64 Linux
: Normal normal with 1 vote (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2014-04-01 04:34 UTC by Teemu Kärkkäinen
Modified: 2014-08-04 02:13 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Teemu Kärkkäinen 2014-04-01 04:34:01 UTC
Updated portage:

Calculating dependencies... done!
[ebuild     U  ] sys-apps/portage-2.2.10 [2.2.8-r1] USE="(ipc) -build -doc -epydoc (-pypy2_0) -python2 -python3 (-selinux) -xattr" LINGUAS="-ru" PYTHON_TARGETS="python2_7 python3_3 -pypy2_0 -python2_6 -python3_2 -python3_4" 0 kB

And after this if i try to emerge anything i get:

root$ emerge -av unrar
These are the packages that would be merged, in order:
Calculating dependencies... done!
Traceback (most recent call last):
  File "/usr/bin/emerge", line 50, in <module>
    retval = emerge_main()
  File "/usr/lib64/portage/pym/_emerge/main.py", line 1037, in emerge_main
    return run_action(emerge_config)
  File "/usr/lib64/portage/pym/_emerge/actions.py", line 4061, in run_action
    emerge_config.args, spinner)
  File "/usr/lib64/portage/pym/_emerge/actions.py", line 320, in action_build
    settings, trees, myopts, myparams, myaction, myfiles, spinner)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 8403, in backtrack_depgraph
    myaction, myfiles, spinner)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 8435, in _backtrack_depgraph
    success, favorites = mydepgraph.select_files(myfiles)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 3093, in select_files
    return self._select_files(args)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 3429, in _select_files
    return self._resolve(myfavorites)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 3584, in _resolve
    self.altlist()
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 6229, in altlist
    self._resolve_conflicts()
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 6353, in _resolve_conflicts
    if not self._complete_graph():
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 5786, in _complete_graph
    if not self._create_graph(allow_unsatisfied=True):
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 2002, in _create_graph
    if not self._pop_disjunction(allow_unsatisfied):
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 3008, in _pop_disjunction
    pkg, dep_root, dep_priority, dep_struct, allow_unsatisfied):
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 2619, in _add_pkg_dep_string
    allow_unsatisfied)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 2675, in _wrapped_add_pkg_dep_string
    strict=strict, priority=dep_priority)
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 3814, in _select_atoms_from_graph
    **portage._native_kwargs(kwargs))
  File "/usr/lib64/portage/pym/_emerge/depgraph.py", line 3868, in _select_atoms_highest_available
    myroot=root, trees=trees)
  File "/usr/lib64/portage/pym/portage/dep/dep_check.py", line 657, in dep_check
    use_binaries=use_binaries, myroot=myroot, trees=trees)
  File "/usr/lib64/portage/pym/portage/dep/dep_check.py", line 207, in _expand_new_virtuals
    portdb.aux_get(matches[-1], ['PROVIDE'])[0].split():
AttributeError: 'PackageTrackerDbapiWrapper' object has no attribute 'aux_get'


If i try to emerge earlier portage with "emerge -av =portage-2.2.8-r1" i get the same error, but if i try to re-emerge "emerge -av portage" it works and reinstalls portage, but it doesn't fix anything.

To recover from this i need to "ebuild /usr/portage/sys-apps/portage/portage-2.2.8-r1.ebuild merge"


Reproducible: Always




Portage 2.2.10 (default/linux/amd64/13.0/desktop, gcc-4.8.2, glibc-2.19, 3.13.5-gentoo x86_64)
=================================================================
System uname: Linux-3.13.5-gentoo-x86_64-AMD_FX-tm-4300_Quad-Core_Processor-with-gentoo-2.2
KiB Mem:     8084432 total,   2696532 free
KiB Swap:    2097148 total,   2097148 free
Timestamp of tree: Tue, 01 Apr 2014 02:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p45-r1
dev-java/java-config:     2.2.0
dev-lang/python:          2.6.8-r1, 2.7.6, 3.2.5-r3, 3.3.3
dev-util/cmake:           2.8.10.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.13.1
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.4.6-r1, 4.5.3-r2, 4.6.4, 4.8.2
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.12 (virtual/os-headers)
sys-libs/glibc:           2.19
Repositories: gentoo rion x-portage
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL EULA googleearth AdobeFlash-10.3 skype-eula"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://trumpetti.atm.tut.fi/gentoo/ http://www.ibiblio.org/gentoo/ ftp://trumpetti.atm.tut.fi/gentoo/ rsync://ftp.rhnet.is/gentoo"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/rion /usr/local/portage"
USE="X a52 aac aalib acl acpi aften alsa amd64 amr amrnb apache2 avahi avi berkdb bitmap-fonts bittorrent bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups custom-optimization cxx dbus dga dri dts dvb dvbplayer dvd dvdr emboss emerald encode exif extras faad fam ffmpeg firefox flac fortran ftp gdbm ggi gif glitz glut gpm gstreamer gtk hal iconv id3tag ieee1394 imap imlib javascript jpeg jpeg2k justify lame lcms ldap libcaca libnotify libsamplerate lirc lm_sensors mad matroska mikmod mmx mmxext mng modplug modules mp3 mp4 mpeg mplayer multilib musicbrainz ncurses network nls nptl nsplugin objc ogg opengl openmp pam pango pcre pdf png policykit ppds projectm qt3support rar raw readline rtc samba screen sdl secure-delete session sid sndfile spell srt sse sse2 ssl ssse3 startup-notification stream submenu subtitles svg system-sqlite tcl tcpd tga theora threads threadsafe thunar tiff truetype udev udisks unicode upower usb v4l v4l2 vdpau visualization vlm vorbis wavpack win32codecs wxwidgets x264 xanim xcb xcomposite xine xml xrandr xulrunner xv xvid xvmc zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="vesa nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Comment 2 Brian Dolbec gentoo-dev 2014-08-04 02:13:09 UTC
released in portage-2.2.11